import 'dart:async';

import 'package:flutter/services.dart';

class CallWithSkype {
   static MethodChannel _channel = const MethodChannel('call_with_skype');


  static Future<void> initiateCall(String skypeId){
     Completer<void> completer = Completer();
     _channel.invokeMethod("callWithSkype",{"skype_id":skypeId}).then((x){
       if(x == "SUCCESS") completer.complete();
       else completer.completeError(x);
     }).catchError((e){
      completer.completeError("ERROR");
     });
     return completer.future;
  }

   static Future<void> openPlayStore(){
     Completer<void> completer = Completer();
     _channel.invokeMethod("openPlayStore").then((x){
       if(x == "SUCCESS") completer.complete();
       else completer.completeError(x);
     }).catchError((e){
       completer.completeError("ERROR");
     });
     return completer.future;
   }
}
